"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = 'C:/rdkit/build/temp.win-amd64-cpython-311/Release/rdkit_install\\share/RDKit\\Data\\FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x0000023511F18400>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x0000023511F18540>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x0000023511F184A0>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x0000023511F185E0>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x0000023511F18680>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x0000023511F18720>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x0000023511F187C0>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x0000023511F18860>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x0000023511F18900>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x0000023511F189A0>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x0000023511F18A40>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x0000023511F18AE0>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x0000023511F18B80>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x0000023511F18C20>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x0000023511F18CC0>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x0000023511F18D60>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x0000023511F18E00>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x0000023511F18EA0>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x0000023511F18F40>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x0000023511F18FE0>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x0000023511F19080>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x0000023511F19120>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x0000023511F191C0>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x0000023511F19260>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x0000023511F19300>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x0000023511F193A0>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x0000023511F19440>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x0000023511F194E0>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x0000023511F19580>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x0000023511F19620>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x0000023511F196C0>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x0000023511F19760>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x0000023511F19800>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x0000023511F198A0>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x0000023511F19940>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x0000023511F199E0>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x0000023511F19A80>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x0000023511F19B20>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x0000023511F19BC0>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x0000023511F19C60>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x0000023511F19D00>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x0000023511F19DA0>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x0000023511F19E40>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x0000023511F19EE0>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x0000023511F19F80>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x0000023511F1A020>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x0000023511F1A0C0>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x0000023511F1A160>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x0000023511F1A200>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x0000023511F1A2A0>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x0000023511F1A340>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x0000023511F1A3E0>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x0000023511F1A480>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x0000023511F1A520>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x0000023511F1A5C0>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x0000023511F1A660>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x0000023511F1A700>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x0000023511F1A7A0>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x0000023511F1A840>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x0000023511F1A8E0>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x0000023511F1A980>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x0000023511F1AA20>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x0000023511F1AAC0>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x0000023511F1AB60>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x0000023511F1AC00>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x0000023511F1ACA0>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x0000023511F1AD40>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x0000023511F1ADE0>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x0000023511F1AE80>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x0000023511F1AF20>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x0000023511F1AFC0>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x0000023511F1B060>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x0000023511F1B100>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x0000023511F1B1A0>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x0000023511F1B240>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x0000023511F1B2E0>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x0000023511F1B380>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x0000023511F1B420>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x0000023511F1B4C0>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x0000023511F1B600>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x0000023511F1B560>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x0000023511F1B6A0>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x0000023511F1B740>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x0000023511F1B7E0>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x0000023511F1B880>)]
name: str = 'fr_HOCCN'
